Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket.nat.rendezvous
Class LeafSetPilotStrategy<Identifier extends RendezvousContact>

    java.lang.Object
      rice.pastry.socket.nat.rendezvous.LeafSetPilotStrategy<Identifier>

All Implemented Interfaces:
  OutgoingPilotListener<Identifier>, NodeSetListener

    public class LeafSetPilotStrategy<Identifier extends RendezvousContact>

extends java.lang.Object
implements NodeSetListener, OutgoingPilotListener<Identifier>

Notifies the pilot strategy of leafset changes involving non-natted nodes. Only instantiate this on NATted nodes.

Author:
  Jeff Hoye

Constructor Summary
`LeafSetPilotStrategy(LeafSet leafSet, PilotManager<Identifier> manager, Environment env)`

Method Summary
`void` | `nodeSetUpdate(NodeSetEventSource nodeSetEventSource, NodeHandle handle, boolean added)`
`void` | `pilotClosed(Identifier i)`
`void` | `pilotOpening(Identifier i)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LeafSetPilotStrategy

    public LeafSetPilotStrategy(LeafSet leafSet,
                                PilotManager<Identifier> manager,
                                Environment env)

Method Detail

### nodeSetUpdate

    public void nodeSetUpdate(NodeSetEventSource nodeSetEventSource,
                              NodeHandle handle,
                              boolean added)

  Specified by:
    `nodeSetUpdate` in interface `NodeSetListener`

### pilotOpening

    public void pilotOpening(Identifier i)

  Specified by:
    `pilotOpening` in interface `OutgoingPilotListener<Identifier extends RendezvousContact>`

### pilotClosed

    public void pilotClosed(Identifier i)

  Specified by:
    `pilotClosed` in interface `OutgoingPilotListener<Identifier extends RendezvousContact>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.